language: node_js

install:
  # - git clone git@github.com:browniecab/bigbluebutton-tests.git tests
  - cd bigbluebutton-html5
  - docker build -t b2 .
  - docker=$(docker run -d -p 80:80/tcp -p 443:443/tcp -p 1935:1935 -p 5066:5066 -p 3478:3478 -p 3478:3478/udp b2 -h localhost)
  - echo $docker
  - cd tests/puppeteer
  - npm install
  - conf=$(docker exec $(docker ps -q) bbb-conf --secret | grep "Secret:")
  - secret=$(echo $conf | cut -d' ' -f2)
  - export BBB_SHARED_SECRET=$secret
  
env:
  global:
    - BBB_SERVER_URL=http://localhost/bigbluebutton/api

script:
  - node html5-check.js
  - npm test

after_script:
  - docker stop $docker
  - docker rm $docker
  - docker rmi b2
